.pk-component.form .gform_wrapper{
    --input-padding-inline: max(1rem, calc(1 * var(--su)));
    --input-padding-block: max(.75rem, calc(.75 * var(--su)));
    --form-font-family: var(--pk-text-font-family);
    --border-color: var(--black-40);
    --highlight-color: var(--tertiary-coral);
    --label-color: var(--black-60);
    --transition-duration: 180ms;
    --form-font-size: max(1rem, calc(1 * var(--su)));
    --label-font-size: var(--form-font-size);
    --label-bg: #fff;
}

.pk-component.form .gform-body .gform_fields{
    grid-column-gap: max(1rem, calc(1.5 * var(--su)));
    grid-row-gap: max(1rem, calc(1.5 * var(--su)));
}

.pk-component.form .gform_wrapper .gfield_checkbox,
.pk-component.form .gform_wrapper .gfield--type-consent,
.pk-component.form .gform_wrapper .gfield_radio{
    font-size: var(--form-font-size);
    font-family: var(--form-font-family);
}

.pk-component.form .gform_wrapper .gfield_checkbox label,
.pk-component.form .gform_wrapper .gfield--type-consent label,
.pk-component.form .gform_wrapper .gfield_radio label{
    font-size: inherit;
}
.pk-component.form .gform_wrapper .gfield_checkbox input,
.pk-component.form .gform_wrapper .gfield--type-consent input,
.pk-component.form .gform_wrapper .gfield_radio input{
    font-size: inherit;
    width: 1em; height: 1em;
    margin-right: .5em;
}

.pk-component.form .gform_wrapper input[type="text"],
.pk-component.form .gform_wrapper input[type="email"],
.pk-component.form .gform_wrapper select,
.pk-component.form .gform_wrapper textarea {
    font-family: var(--form-font-family);
    font-size: var(--form-font-size);
    border-radius: max(.25rem, calc(0.25 * var(--su)));
    border: 1px solid var(--border-color);
    padding-inline: var(--input-padding-inline);
    padding-block: var(--input-padding-block);
}

.pk-component.form .gform_wrapper .ginput_container_select::before{
    content: '';
    pointer-events: none;
    width: .75em; height: .75em;
    background-color: currentColor;
    position: absolute;
    top: 50%;
    right: 1em;
    transform: translateY(-50%);
}
.pk-component.form .gform_wrapper select{
    appearance: none;
}


/**
 * Animated Labels
 */

.pk-component.form.animated_labels .gform_wrapper .gfield{
    position: relative;
    height: fit-content;
}

.pk-component.form.animated_labels .gform_wrapper .ginput_container_date input{
    width: 100%;
}

.pk-component.form.animated_labels .gform_wrapper .gfield > label{
    position: absolute;
    left: var(--input-padding-inline);
    color: var(--label-color);
    transform: translate(0, -50%);
    margin-bottom: 0;
    padding-top: 0;
    transition: top var(--transition-duration) ease-in-out, font-size var(--transition-duration) ease-in-out;
    background-color: var(--label-bg);
}

.pk-component.form.animated_labels .gform_wrapper .gfield:not(.gfield--type-textarea) > label{
    top: 50%;
}

.pk-component.form.animated_labels .gform_wrapper .gfield--type-textarea > label{
    top: 1em;
}

.pk-component.form.animated_labels .gform_wrapper .gfield--type-textarea .gfield_description{
    font-size: var(--label-font-size);
    font-style: italic;
    color: var(--label-color);
    margin-top: 0;
    padding-top: 0;
}

.pk-component.form.animated_labels .gform_wrapper .gfield option{
    padding-inline: var(--input-padding-inline);
}

.pk-component.form.animated_labels .gform_wrapper .gfield > label,
.pk-component.form.animated_labels .gform_wrapper .gfield > input {
    cursor: text;
    font-size: var(--label-font-size);
    font-weight: 400;
}

.pk-component.form.animated_labels .gform_wrapper input::placeholder,
.pk-component.form.animated_labels .gform_wrapper textarea::placeholder{
    font-size: 0;
}

.pk-component.form.animated_labels .gform_wrapper .gfield:focus-within > label,
.pk-component.form.animated_labels .gform_wrapper .gfield:has(input:not([type='hidden']):not(:placeholder-shown)) > label,
.pk-component.form.animated_labels .gform_wrapper .gfield:has(textarea:not(:placeholder-shown)) > label,
.pk-component.form.animated_labels .gform_wrapper .gfield:has(option:not(.gf_placeholder):checked) > label{
    top: 0;
    font-size: .75em;
}


/* Voor complexe velden */
.pk-component.form.animated_labels .gform_wrapper fieldset .gform-grid-col{
    position: relative;
}

.pk-component.form.animated_labels .gform_wrapper fieldset .gform-grid-col:focus-within label,
.pk-component.form.animated_labels .gform_wrapper fieldset .gform-grid-col:has(input:not(:placeholder-shown)) label {
    top: 0;
    font-size: .75em;
}


